toolBar_mouseClick( objectID );
//alert('toolBar: '+objectID);


/**
 *  Definição das Funções do Usuário  --------------------------------------  //
 */
if( objectID.indexOf('toolBar') != -1 )
{
/*  barra de ferramentas 1
 *  -------------------------------------  //
 */
  toolBar1_mouseDblClick_button1( objectID );  /* Criar novo Projeto  */
  toolBar1_mouseDblClick_button2( objectID );  /*  Abrir um Projeto   */
  toolBar1_mouseDblClick_button3( objectID );  /* Salvar o Projeto    */

  /* Sistema de Ajuda */
  toolBar7_mouseClick_button1( objectID );

  toolBar8_mouseClick_button1( objectID );
  toolBar8_mouseClick_button2( objectID );

}// end if( objectID.indexOf('toolBar') != -1 )



/**
 *  Definições das Funções criadas pelo usuário  ---------------------------  //
 *  ===========================================
 */



/*
 *  Criar um novo Projeto na área de trabalho do Usuário
 *  -----------------------------------------------------------------------  //
 */
function toolBar1_mouseDblClick_button1( objID )
{
  if( objID.indexOf( 'toolBar1' ) != -1 &&
      objID.indexOf( 'button1' )  != -1     )
  {
    if( toolBar_status[ 0 ][ 0 ] >= 1 )
    {
      Mensage.novoPrj( loginUSER );
    }// End if()
    //alert(objectID );
  }
}// End function

/*
 *  Abrir um novo Projeto.
 *  (copiar da área de projetos para a área de trabalho do usuário)
 *  -----------------------------------------------------------------------  //
 */
function toolBar1_mouseDblClick_button2( objID )
{
  if( objID.indexOf( 'toolBar1' ) != -1 &&
      objID.indexOf( 'button2' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( flagEdit_ )
      {
        alert('projeto modificado...');
      }else
      {
        Mensage.getProjetos( 'desenv/projetos/' );
        setWinPage_selected( 4 );
      }//End if()
    }// End if()
  }
}// End toolBar1_mouseDblClick_button2( objID )


/*
 *  Salvar o projeto aberto.
 *  (atualizar os arquivos na área de projetos com os aquivos da
 *   área de trabalho do usuário).
 *  -----------------------------------------------------------------------  //
 */
function toolBar1_mouseDblClick_button3( objID )
{
  if( objID.indexOf( 'toolBar1' ) != -1 &&
      objID.indexOf( 'button3' )  != -1     )
  {
    var nrToolBar = getToolBar( objID );
    var nrButton  = getButton(  objID );

    if( toolBar_status[ nrToolBar -1 ][ nrButton -1 ] >= 1 )
    {
      if ( nProjeto_ == 'novo' )
      {
        Mensage.salvarPrj( loginUSER + ':' + nProjeto_ );
      }else
      {
        Mensage.salvarPrj( loginUSER + ':' + nProjeto_ );
      }// End if()
      //alert(objectID );
    }// End if()
  }
}// End function toolBar1_mouseDblClick_button3( objID )


/**
 *  Sistema de Ajuda  ------------------------------------------------------  //
 */
function toolBar7_mouseClick_button1( objID )
{
  if( objID.indexOf( 'toolBar7' ) != -1 &&
      objID.indexOf( 'button1' )  != -1     )
  {
    if( toolBar_status[ 6 ][ 0 ] >= 1 )
    {
      setWinPage_selected( 3 );
      Mensage.get_ajuda( objSELECTED );
    }// End if()
  }
}// End function toolBar7_mouseDblClick_button1( objID )


/**
 *  Gerar o script executável do Projeto  ----------------------------------  //
 */
function toolBar8_mouseClick_button1( objID )
{
  if( objID.indexOf( 'toolBar8' ) != -1 &&
      objID.indexOf( 'button1' )  != -1     )
  {
    if( toolBar_status[ 7 ][ 0 ] >= 1 )
    {
      //alert('gerar');
      Mensage.gerar( loginUSER + ':' +nProjeto_ );
    }// End if()
  }// End if()
}// End function toolBar8_mouseClick_button1( objID )


/**
 *  Executar o script do Projeto  ------------------------------------------  //
 */
function toolBar8_mouseClick_button2( objID )
{
  if( objID.indexOf( 'toolBar8' ) != -1 &&
      objID.indexOf( 'button2' )  != -1     )
  {
    if( toolBar_status[ 7 ][ 1 ] >= 1 )
    {
      var _path_ = 'desenv/usuarios/' + loginUSER + '/' + nProjeto_ + '.php';
      //alert('rodar: ' + _path_ );
      opener.top_location( _path_ );
      //parent.mainPage.test_parent( txt );
    }// End if()
  }// End if()
}// End function toolBar8_mouseClick_button2( objID )

